# H245_ParameterValue Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_logical, e_booleanArray, e_unsignedMin, e_unsignedMax, e_unsigned32Min, e_unsigned32Max, e_octetString, e_genericParameter }

## Public Member Functions

| H245_ParameterValue (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_ArrayOf_GenericParameter & ()
| operator const H245_ArrayOf_GenericParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_ParameterValue::Choices

Enumerator:

  e_logical |
  e_booleanArray |
  e_unsignedMin |
  e_unsignedMax |
  e_unsigned32Min |
  e_unsigned32Max |
  e_octetString |
  e_genericParameter |

## Constructor & Destructor Documentation

H245_ParameterValue::H245_ParameterValue | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_ParameterValue::operator H245_ArrayOf_GenericParameter & | ( |  | ) |

H245_ParameterValue::operator const H245_ArrayOf_GenericParameter & | ( |  | ) | const

PBoolean H245_ParameterValue::CreateObject | ( |  | ) |

PObject* H245_ParameterValue::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h